#ifndef WIFISTATUSLED_H
#define WIFISTATUSLED_H

#include <main.h>
#include "utils/timebase.h"

#define ACQLED_IDLE_COLOR 0x000022
#define ACQLED_CAPTURE_COLOR 0x4A0080

#define WIFILED_IDLE_COLOR 0x000000

#define FAIL_COLOR rgb(128, 0, 0)

enum wifimode {
	OPMODE_STA = 1,
	OPMODE_AP = 2,
	OPMODE_STA_AP = 3
};

struct wifistatus {
	enum wifimode opmode;

	bool sta_connected;
	bool wps_active;
	bool wps_preparing;
	bool reporting_enabled;
};

extern struct wifistatus WifiStatus;

void wifistatusled_init(void);

void blink_wifistatus_led(uint32_t color, ms_time_t ms);

void set_acqstatus_led(uint32_t color);
void blink_acqstatus_led(uint32_t color, ms_time_t ms);

void wifistatus_onchange(void);

#endif // WIFISTATUSLED_H
