#pragma once
#include "main.h"
#include "hw_utils/all.h"

#define LED_GPIO GPIOC

/**
 * @brief LED enum.
 */
enum led_enum {
	LED_R = GPIO13,
	LED_G = GPIO14
};


/**
 * @brief Turn a LED on
 * @param led
 */
void led_on(enum led_enum led);


/**
 * @brief Turn a LED off
 * @param led
 */
void led_off(enum led_enum led);


/**
 * @brief Toggle a LED state
 * @param led
 */
void led_toggle(enum led_enum led);


/**
 * @brief Blink a LED (async)
 * @param led
 * @param ms  - blink duration
 */
void led_blink(enum led_enum led, uint32_t ms);
